import request from '/@/utils/request';

export function useRoleApi() {
    return {
        // v1
        getRoleList: () => {
            return request({
                url: `/role/list`,
                method: 'post'
            });
        },
        // v1
        addRole: (data: object) => {
            return request({
                url: `/role/add`,
                method: 'post',
                data: data
            });
        },
        // v1
        modRole: (data: object) => {
            return request({
                url: `/role/mod`,
                method: 'post',
                data: data
            });
        }
    };
}
